SetManager Class

class NXOpen.CAE.SetManager

Bases: NXOpen.NXObject

Represents a group of CAE object sets. The objects in each set can be used to create loads, constraints ..etc

This is a sub object

New in version NX4.0.0.

Properties

Property Description
IsOccurrence Returns whether this object is an occurrence or not.
JournalIdentifier Returns the identifier that would be recorded in a journal for this object.
Name Returns the custom name of the object.
OwningComponent Returns the owning component, if this object is an occurrence.
OwningPart Returns the owning part of this object
Prototype Returns the prototype of this object if it is an occurrence.
Tag Returns the Tag for this object.
TargetSetCount Returns the count of objects in the set

Methods

Method Description
CleanTargetSet Clears the objects stored in the set specified in the set manager
CreateAttributeIterator Create an attribute iterator
CreateCaeSet Creates a CAE.
DeleteAllAttributesByType Deletes all attributes of a specific type.
DeleteAttributeByTypeAndTitle Deletes an attribute by type and title.
DeleteUserAttribute Deletes the first attribute encountered with the given Type, Title.
DeleteUserAttributes Deletes the attributes on the object, if any, that satisfy the given iterator
FindObject Finds the NXOpen.NXObject with the given identifier as recorded in a journal.
GetAttributeTitlesByType Gets all the attribute titles of a specific type.
GetBooleanUserAttribute Gets a boolean attribute by Title and array Index.
GetComputationalTimeUserAttribute Gets a time attribute by Title and array Index.
GetIntegerAttribute Gets an integer attribute by title.
GetIntegerUserAttribute Gets an integer attribute by Title and array Index.
GetNextUserAttribute Gets the next attribute encountered on the object, if any, that satisfies the given iterator.
GetPdmReferenceAttributeValue Gets the value of PDM Reference attribute for given object.
GetRealAttribute Gets a real attribute by title.
GetRealUserAttribute Gets a real attribute by Title and array Index.
GetReferenceAttribute Gets the reference string (not the calculated value) of a string attribute that uses a reference string.
GetStringAttribute Gets a string attribute value by title.
GetStringUserAttribute Gets a string attribute by Title and array Index.
GetTargetSetDistributedPlanes Gets the parameters for a distributed planes set.
GetTargetSetExcludedMembers Gets the objects for the specified target set excluded set
GetTargetSetGroup Gets the CAE group in the specified set
GetTargetSetMembers Gets the objects for the specified target set
GetTargetSetPlane Gets the parameters from a plane target set.
GetTargetSetPlaneWithOffset Gets the parameters from a plane target set.
GetTargetSetPointLocation Gets the position from a point location target set.
GetTimeAttribute Gets a time attribute by title.
GetTimeUserAttribute Gets a time attribute by Title and array Index.
GetUserAttribute Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index.
GetUserAttributeAsString Gets the first attribute encountered on the object, if any, with a given title, type and array index.
GetUserAttributeCount Gets the count of set attributes on the object, if any, that satisfy the given iterator.
GetUserAttributeLock Determine the lock of the given attribute.
GetUserAttributeSize Gets the size of the first attribute encountered on the object, if any, with a given Title and Type.
GetUserAttributeSourceObjects Returns an array of objects from which this object presents attributes.
GetUserAttributes Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator.
GetUserAttributesAsStrings Gets all the attributes that have been set on the given object.
HasUserAttribute Determines if an attribute exists on the object, that satisfies the given iterator
Print Prints a representation of this object to the system log file.
SetAttribute Creates or modifies an integer attribute.
SetBooleanUserAttribute Creates or modifies a boolean attribute with the option to update or not.
SetName Sets the custom name of the object.
SetPdmReferenceAttribute Sets the value of PDM Reference attribute on the object.
SetReferenceAttribute Creates or modifies a string attribute which uses a reference string.
SetTargetSetDistributedPlanes Sets the parameters for a distributed planes set.
SetTargetSetEdgePath Sets the CAE edge path in the specified set
SetTargetSetElemEdgePath Sets the CAE element edge path in the specified set
SetTargetSetExcludedMembers Sets the CAE objects in the specified target set exclude set
SetTargetSetGroup Sets the CAE group in the specified set
SetTargetSetMembers Sets the CAE objects in the specified set
SetTargetSetPlane Creates a plane target set.
SetTargetSetPlaneWithOffset Creates a plane target set.
SetTargetSetPointLocation Creates a point location target set.
SetTimeAttribute Creates or modifies a time attribute.
SetTimeUserAttribute Creates or modifies a time attribute with the option to update or not.
SetUserAttribute Creates or modifies an attribute with the option to update or not.
SetUserAttributeLock Lock or unlock the given attribute.

Enumerations

SetManagerDistributedPlanesBboxType Enumeration Used to specify which bounding box defines the position or radius of the sphere
SetManagerDistributedPlanesBoundingSphereDirection Enumeration Used to specify the method to define the Z+ direction of the sphere
SetManagerDistributedPlanesBoundingSphereType Enumeration Used to specify the type of bounding sphere to lay the distributed planes on
SetManagerDistributedPlanesPosition Enumeration Used to specify the method to define the position or the radius of the sphere

Property Detail

IsOccurrence

SetManager.IsOccurrence

Returns whether this object is an occurrence or not.

-------------------------------------

Getter Method

Signature IsOccurrence

Returns:This object is an occurrence
Return type:bool

New in version NX3.0.0.

License requirements: None.

JournalIdentifier

SetManager.JournalIdentifier

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

-------------------------------------

Getter Method

Signature JournalIdentifier

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

Name

SetManager.Name

Returns the custom name of the object.

-------------------------------------

Getter Method

Signature Name

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

OwningComponent

SetManager.OwningComponent

Returns the owning component, if this object is an occurrence.

-------------------------------------

Getter Method

Signature OwningComponent

Returns:
Return type:NXOpen.Assemblies.Component

New in version NX3.0.0.

License requirements: None.

OwningPart

SetManager.OwningPart

Returns the owning part of this object

-------------------------------------

Getter Method

Signature OwningPart

Returns:The owning part of this object or null if it does not have an owner
Return type:NXOpen.BasePart

New in version NX3.0.0.

License requirements: None.

Prototype

SetManager.Prototype

Returns the prototype of this object if it is an occurrence.

-------------------------------------

Getter Method

Signature Prototype

Returns:The prototype of this object or null if this object is not an occurrence
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

TargetSetCount

SetManager.TargetSetCount

Returns the count of objects in the set

-------------------------------------

Getter Method

Signature TargetSetCount

Returns:count of number of sets possible in this set manager
Return type:int

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

Method Detail

CleanTargetSet

SetManager.CleanTargetSet

Clears the objects stored in the set specified in the set manager

Signature CleanTargetSet(setIndex)

Parameters:setIndex (int) – index of the set in the set manager

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateCaeSet

SetManager.CreateCaeSet

Creates a CAE.

CAESet

Signature CreateCaeSet()

Returns:the cae set created
Return type:NXOpen.CAE.CAESet

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

FindObject

SetManager.FindObject

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the object
Returns:
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

GetTargetSetDistributedPlanes

SetManager.GetTargetSetDistributedPlanes

Gets the parameters for a distributed planes set.

Signature GetTargetSetDistributedPlanes(setIndex)

Parameters:setIndex (int) – Index of the set
Returns:a tuple
Return type:A tuple consisting of (centerMethod, centerPoint, radiusMethod, radiusFactor, radiusValue, bboxOption, bboxElems, spaceDefinition, sphereDirection, sphereDirectionVector, sphereDirectionPoint1, sphereDirectionPoint2, sphereDirectionPoint3, flipNormal, refinementLevel). centerMethod is a NXOpen.CAE.SetManagerDistributedPlanesPosition. Method used to define the sphere center centerPoint is a NXOpen.Point. Sphere manual center position. radiusMethod is a NXOpen.CAE.SetManagerDistributedPlanesPosition. Method used to define the sphere radius radiusFactor is a NXOpen.Expression. Multiplying factor applied to the model bounding box diagonal to get the sphere radius. radiusValue is a NXOpen.Expression. Radius mahual value. bboxOption is a NXOpen.CAE.SetManagerDistributedPlanesBboxType. Bounding box definition option bboxElems is a list of NXOpen.CAE.FEElement. Selection used to calculate the bounding box for the manual bounding box option spaceDefinition is a NXOpen.CAE.SetManagerDistributedPlanesBoundingSphereType. Type of bounding sphere (half or full) sphereDirection is a NXOpen.CAE.SetManagerDistributedPlanesBoundingSphereDirection. Sphere direction definition method sphereDirectionVector is a NXOpen.Direction. For the sphere vector method: sphere direction vector sphereDirectionPoint1 is a NXOpen.Point. For the sphere 3 points normal method: 1st point sphereDirectionPoint2 is a NXOpen.Point. For the sphere 3 points normal method: 2nd point sphereDirectionPoint3 is a NXOpen.Point. For the sphere 3 points normal method: 3rd point flipNormal is a bool. For the sphere 3 points normal method: flag to flip the normal direction refinementLevel is a int. Refinement level of the distributed plave wave set.

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetTargetSetExcludedMembers

SetManager.GetTargetSetExcludedMembers

Gets the objects for the specified target set excluded set

Signature GetTargetSetExcludedMembers(setIndex)

Parameters:setIndex (int) – index of the set
Returns:objects in set
Return type:list of NXOpen.CAE.SetObject

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetTargetSetGroup

SetManager.GetTargetSetGroup

Gets the CAE group in the specified set

Signature GetTargetSetGroup(setIndex)

Parameters:setIndex (int) – index of the set
Returns:group object from set. may be None
Return type:NXOpen.CAE.CaeGroup

New in version NX8.0.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetTargetSetMembers

SetManager.GetTargetSetMembers

Gets the objects for the specified target set

Signature GetTargetSetMembers(setIndex)

Parameters:setIndex (int) – index of the set
Returns:a tuple
Return type:A tuple consisting of (displayCoordinateSystem, objects). displayCoordinateSystem is a NXOpen.NXObject. display coordinate system objects is a list of NXOpen.CAE.SetObject. objects in set

New in version NX4.0.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetTargetSetPlane

SetManager.GetTargetSetPlane

Gets the parameters from a plane target set.

The plane target set is a special type of target set that does not rely on any FEM entities. It is a purely geometric plane defined in space that may or may not touch any elements or nodes. It cannot rely on the standard CAE.SetManager.CreateCaeSet() and CAE.CAESet.SetMembers() since and requires its own interface to retrieve the parameters.

Signature GetTargetSetPlane(setIndex)

Parameters:setIndex (int) – index of the set
Returns:a tuple
Return type:A tuple consisting of (planePosition, planeNormal). planePosition is a NXOpen.Point3d. plane’s position planeNormal is a NXOpen.Vector3d. plane’s normal

New in version NX11.0.0.

Deprecated since version NX12.0.0: Use overloaded CAE.SetManager.GetTargetSetPlaneWithOffset().

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetTargetSetPlaneWithOffset

SetManager.GetTargetSetPlaneWithOffset

Gets the parameters from a plane target set.

The plane target set is a special type of target set that does not rely on any FEM entities. It is a purely geometric plane defined in space that may or may not touch any elements or nodes. It cannot rely on the standard CAE.SetManager.CreateCaeSet() and CAE.CAESet.SetMembers() since and requires its own interface to retrieve the parameters.

Signature GetTargetSetPlaneWithOffset(setIndex)

Parameters:setIndex (int) – index of the set
Returns:a tuple
Return type:A tuple consisting of (planePosition, planeNormal, offsetValue). planePosition is a NXOpen.Point3d. plane’s position planeNormal is a NXOpen.Vector3d. plane’s normal offsetValue is a NXOpen.Expression. offset value that was used to construct the plane.

New in version NX12.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetTargetSetPointLocation

SetManager.GetTargetSetPointLocation

Gets the position from a point location target set.

The point location target set is a special type of target set that does not rely on any FEM entities. It is a purely geometric point located in space that may or may not touch any elements or nodes. It cannot rely on the standard CAE.SetManager.CreateCaeSet() and CAE.CAESet.SetMembers() since and requires its own interface to retrieve the position.

Signature GetTargetSetPointLocation(setIndex)

Parameters:setIndex (int) – index of the set
Returns:point location’s position
Return type:NXOpen.Point3d

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

Print

SetManager.Print

Prints a representation of this object to the system log file.

Signature Print()

New in version NX3.0.0.

License requirements: None.

SetName

SetManager.SetName

Sets the custom name of the object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetName(name)

Parameters:name (str) –

New in version NX3.0.0.

License requirements: None.

SetTargetSetDistributedPlanes

SetManager.SetTargetSetDistributedPlanes

Sets the parameters for a distributed planes set.

Signature SetTargetSetDistributedPlanes(setIndex, centerMethod, centerPoint, radiusMethod, radiusFactor, radiusValue, bboxOption, bboxElems, spaceDefinition, sphereDirection, sphereDirectionVector, sphereDirectionPoint1, sphereDirectionPoint2, sphereDirectionPoint3, flipNormal, refinementLevel)

Parameters:

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetTargetSetEdgePath

SetManager.SetTargetSetEdgePath

Overloaded method SetTargetSetEdgePath

  • SetTargetSetEdgePath(setIndex, seedEdges, seedVertices)
  • SetTargetSetEdgePath(setIndex, seedEdges, seedVertices, preferFreeEdges, allowGapJumping, gapJumpingTolerance)

-------------------------------------

Sets the CAE edge path in the specified set

Signature SetTargetSetEdgePath(setIndex, seedEdges, seedVertices)

Parameters:
  • setIndex (int) – index of the set
  • seedEdges (list of NXOpen.CAE.CAEEdge) – seed edges to define the path
  • seedVertices (list of NXOpen.CAE.CAEVertex) – seed vertices to define the path

New in version NX9.0.0.

Deprecated since version NX10.0.0: Use overloaded CAE.SetManager.SetTargetSetEdgePath() with additional arguments instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Sets the CAE edge path in the specified set

Signature SetTargetSetEdgePath(setIndex, seedEdges, seedVertices, preferFreeEdges, allowGapJumping, gapJumpingTolerance)

Parameters:
  • setIndex (int) – index of the set
  • seedEdges (list of NXOpen.CAE.CAEEdge) – seed edges to define the path
  • seedVertices (list of NXOpen.CAE.CAEVertex) – seed vertices to define the path
  • preferFreeEdges (list of bool) – if true for seed, prefer free edges
  • allowGapJumping (list of bool) – if true for seed, gaps between edges will be jumped
  • gapJumpingTolerance (list of float) – if allowGapJumping is true for seed, this is the tolerance to use for jumping gaps between edges

New in version NX10.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

SetTargetSetElemEdgePath

SetManager.SetTargetSetElemEdgePath

Overloaded method SetTargetSetElemEdgePath

  • SetTargetSetElemEdgePath(setIndex, seedEdges, seedVertices)
  • SetTargetSetElemEdgePath(setIndex, seedEdges, seedVertices, preferFreeEdges, preferGeometryAssociatedEdges, preferFeatureElementEdges, featureAngleTolerance, allowGapJumping, gapJumpingTolerance)

-------------------------------------

Sets the CAE element edge path in the specified set

Signature SetTargetSetElemEdgePath(setIndex, seedEdges, seedVertices)

Parameters:
  • setIndex (int) – index of the set
  • seedEdges (list of NXOpen.CAE.FEElemEdge) – seed element edges to define the path
  • seedVertices (list of NXOpen.CAE.FENode) – seed nodes to define the path

New in version NX9.0.0.

Deprecated since version NX10.0.0: Use overloaded CAE.SetManager.SetTargetSetElemEdgePath() with additional arguments instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Sets the CAE element edge path in the specified set

Signature SetTargetSetElemEdgePath(setIndex, seedEdges, seedVertices, preferFreeEdges, preferGeometryAssociatedEdges, preferFeatureElementEdges, featureAngleTolerance, allowGapJumping, gapJumpingTolerance)

Parameters:
  • setIndex (int) – index of the set
  • seedEdges (list of NXOpen.CAE.FEElemEdge) – seed element edges to define the path
  • seedVertices (list of NXOpen.CAE.FENode) – seed nodes to define the path
  • preferFreeEdges (list of bool) – if true for seed, prefer free element edges
  • preferGeometryAssociatedEdges (list of bool) – if true for seed, prefer geometry associated element edges
  • preferFeatureElementEdges (list of bool) – if true for seed, prefer feature element edges
  • featureAngleTolerance (list of float) – if preferFeatureElementEdge is true for seed, this is the feature angle tolerance to use
  • allowGapJumping (list of bool) – if true for seed, gaps between element edges will be jumped
  • gapJumpingTolerance (list of float) – if allowGapJumping is true for seed, this is the tolerance to use for jumping gaps between element edges

New in version NX10.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

SetTargetSetExcludedMembers

SetManager.SetTargetSetExcludedMembers

Overloaded method SetTargetSetExcludedMembers

  • SetTargetSetExcludedMembers(setIndex, excludedObjects)
  • SetTargetSetExcludedMembers(setIndex, selRecipeFilter, objects)

-------------------------------------

Sets the CAE objects in the specified target set exclude set

Signature SetTargetSetExcludedMembers(setIndex, excludedObjects)

Parameters:
  • setIndex (int) – index of the set
  • excludedObjects (list of NXOpen.CAE.SetObject) – excluded objects to add to set

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Sets the CAE objects in the specified target set exclude set

Signature SetTargetSetExcludedMembers(setIndex, selRecipeFilter, objects)

Parameters:

New in version NX12.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

SetTargetSetGroup

SetManager.SetTargetSetGroup

Sets the CAE group in the specified set

Signature SetTargetSetGroup(setIndex, filterType, group)

Parameters:

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetTargetSetMembers

SetManager.SetTargetSetMembers

Overloaded method SetTargetSetMembers

  • SetTargetSetMembers(setIndex, objects)
  • SetTargetSetMembers(setIndex, selRecipeFilter, objects)

-------------------------------------

Sets the CAE objects in the specified set

Signature SetTargetSetMembers(setIndex, objects)

Parameters:
  • setIndex (int) – index of the set
  • objects (list of NXOpen.CAE.SetObject) – objects to add to set

New in version NX4.0.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Sets the CAE objects in the specified set

Signature SetTargetSetMembers(setIndex, selRecipeFilter, objects)

Parameters:

New in version NX12.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

SetTargetSetPlane

SetManager.SetTargetSetPlane

Creates a plane target set.

The plane target set is a special type of target set that does not rely on any FEM entities. It is a purely geometric plane defined in space that may or may not touch elements or nodes. It cannot rely on the standard CAE.SetManager.CreateCaeSet() and CAE.CAESet.SetMembers() since and requires its own interface to create the plane.

Signature SetTargetSetPlane(setIndex, planePosition, planeNormal)

Parameters:

New in version NX11.0.0.

Deprecated since version NX12.0.0: Use overloaded CAE.SetManager.SetTargetSetPlaneWithOffset().

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetTargetSetPlaneWithOffset

SetManager.SetTargetSetPlaneWithOffset

Creates a plane target set.

The plane target set is a special type of target set that does not rely on any FEM entities. It is a purely geometric plane defined in space that may or may not touch elements or nodes. It cannot rely on the standard CAE.SetManager.CreateCaeSet() and CAE.CAESet.SetMembers() since and requires its own interface to create the plane.

Signature SetTargetSetPlaneWithOffset(setIndex, planePosition, planeNormal, offsetValue)

Parameters:
  • setIndex (int) – index of the set.
  • planePosition (NXOpen.Point3d) – plane’s position.
  • planeNormal (NXOpen.Vector3d) – plane’s normal.
  • offsetValue (NXOpen.Expression) – offset value that was used to construct the plane.

New in version NX12.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SetTargetSetPointLocation

SetManager.SetTargetSetPointLocation

Creates a point location target set.

The point location target set is a special type of target set that does not rely on any FEM entities. It is a purely geometric point located in space that may or may not touch any elements or nodes. It cannot rely on the standard CAE.SetManager.CreateCaeSet() and CAE.CAESet.SetMembers() since and requires its own interface to create the point location.

Signature SetTargetSetPointLocation(setIndex, position)

Parameters:
  • setIndex (int) – index of the set
  • position (NXOpen.Point3d) – point location’s position

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)